package com.dxhy.customs.service;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dxhy.customs.entity.TdxInvoiceImg;

/**
 * @author peipei.li
 * @date 2019-05-31
 *
 */
public interface CustomsInvoiceImgService {
    /**
     * 待填
     *
     * @param imgQueryWrapper
     * @return
     */
    List<TdxInvoiceImg> list(LambdaQueryWrapper<TdxInvoiceImg> imgQueryWrapper);

    /**
     * 根据uuid查询
     *
     * @param uuid
     * @return
     */
    TdxInvoiceImg selectByUuid(String uuid);

    /**
     * 根据图片唯一识别码查询
     *
     * @param scanId
     * @return
     */
    TdxInvoiceImg selectByScanId(String scanId);

    /**
     * 待填
     *
     * @param invoiceImg
     */
    void insertOrUpdate(TdxInvoiceImg invoiceImg);
}
